"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const _ListCache = require("./_ListCache.js");
const _stackClear = require("./_stackClear.js");
const _stackDelete = require("./_stackDelete.js");
const _stackGet = require("./_stackGet.js");
const _stackHas = require("./_stackHas.js");
const _stackSet = require("./_stackSet.js");
var ListCache = _ListCache._ListCache, stackClear = _stackClear._stackClear, stackDelete = _stackDelete._stackDelete, stackGet = _stackGet._stackGet, stackHas = _stackHas._stackHas, stackSet = _stackSet._stackSet;
function Stack(entries) {
  var data = this.__data__ = new ListCache(entries);
  this.size = data.size;
}
Stack.prototype.clear = stackClear;
Stack.prototype["delete"] = stackDelete;
Stack.prototype.get = stackGet;
Stack.prototype.has = stackHas;
Stack.prototype.set = stackSet;
var _Stack = Stack;
exports._Stack = _Stack;
